API reference
8 endpoints · Overview
200itemsSpace[]idstringrequirednamestringrequiredviewercommentereditormanagerowner_idstringrequiredroot_node_idstringrequiredjournal_seqintegerrequiredstorage_idstringforkobjectfrom_space_idstringrequiredpathstringrequiredat_seqintegerrequiredorg_idstringcurl "https://side.example.com/v1/spaces" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"name": "A001_C003.mov",
"role": "viewer",
"owner_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"root_node_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"journal_seq": 1,
"created_at": "2026-11-14T09:30:00Z",
"storage_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"fork": {},
"org_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
}
]
}namestringrequiredstorage_idstringcurl -X POST "https://side.example.com/v1/spaces" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"A001_C003.mov"}'{
"id": "id",
"name": "A001_C003.mov",
"role": "viewer",
"owner_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"root_node_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"journal_seq": 1,
"created_at": "2026-11-14T09:30:00Z",
"storage_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"fork": {
"from_space_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"path": "Ep01/Shots/A001_C003.mov",
"at_seq": 1
},
"org_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
}curl "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"id": "id",
"name": "A001_C003.mov",
"role": "viewer",
"owner_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"root_node_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"journal_seq": 1,
"created_at": "2026-11-14T09:30:00Z",
"storage_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"fork": {
"from_space_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"path": "Ep01/Shots/A001_C003.mov",
"at_seq": 1
},
"org_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
}sidstringrequirednamestringstorage_idstringcurl -X PATCH "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"A001_C003.mov","storage_id":"nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"}'{
"id": "id",
"name": "A001_C003.mov",
"role": "viewer",
"owner_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"root_node_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"journal_seq": 1,
"created_at": "2026-11-14T09:30:00Z",
"storage_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"fork": {
"from_space_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"path": "Ep01/Shots/A001_C003.mov",
"at_seq": 1
},
"org_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
}sidstringrequired200itemsMember[]idstringrequiredemailstringrequireddisplay_namestringrequiredkindstringrequiredhumanagentviewercommentereditormanagerdirect_roleRole | anyteamsMemberTeam[]idstringrequirednamestringrequiredviewercommentereditormanagercurl "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/members" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"user": {},
"role": "viewer",
"direct_role": "viewer",
"teams": []
}
]
}sidstringrequiredemailstringrequiredviewercommentereditormanagercurl -X POST "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/members" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"email":"[email protected]","role":"viewer"}'{
"user": {
"id": "id",
"email": "[email protected]",
"display_name": "display_name",
"kind": "human"
},
"role": "viewer",
"direct_role": "viewer",
"teams": [
{}
]
}sidstringrequireduidstringrequiredviewercommentereditormanagercurl -X PATCH "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/members/usr_01JD7Q1Z3X5V7T9R1P3N5L7J9H" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"role":"viewer"}'{
"user": {
"id": "id",
"email": "[email protected]",
"display_name": "display_name",
"kind": "human"
},
"role": "viewer",
"direct_role": "viewer",
"teams": [
{}
]
}sidstringrequireduidstringrequired204curl -X DELETE "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/members/usr_01JD7Q1Z3X5V7T9R1P3N5L7J9H" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"